<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/common Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dir_34b4cee2b5900b653deb3438fc906cf4.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">common Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for common:</div>
<div class="dyncontent">
<div class="center"><img src="dir_34b4cee2b5900b653deb3438fc906cf4_dep.png" border="0" usemap="#dir__34b4cee2b5900b653deb3438fc906cf4__dep" alt="src/core/common"/></div>
<map name="dir__34b4cee2b5900b653deb3438fc906cf4__dep" id="dir__34b4cee2b5900b653deb3438fc906cf4__dep">
<area shape="rect" id="node1" href="dir_34b4cee2b5900b653deb3438fc906cf4.html" title="common" alt="" coords="26,101,99,149"/>
<area shape="rect" id="node2" href="dir_4f2226f7ee388b01e44ffc735c8969ec.html" title="mac" alt="" coords="123,5,195,53"/>
<area shape="rect" id="edge1-headlabel" href="dir_000009_000011.html" title="1" alt="" coords="99,45,107,58"/>
<area shape="rect" id="node3" href="dir_73cb4d11b06c10448caf49ed02a351c4.html" title="net" alt="" coords="123,101,195,149"/>
<area shape="rect" id="edge2-headlabel" href="dir_000009_000013.html" title="3" alt="" coords="100,110,108,124"/>
<area shape="rect" id="node4" href="dir_d44c64559bbebec7f509842c48db8b23.html" title="include" alt="" coords="123,197,195,245"/>
<area shape="rect" id="edge3-headlabel" href="dir_000009_000000.html" title="9" alt="" coords="124,172,132,185"/>
<area shape="rect" id="edge4-headlabel" href="dir_000011_000009.html" title="10" alt="" coords="102,87,116,100"/>
<area shape="rect" id="edge5-headlabel" href="dir_000011_000013.html" title="1" alt="" coords="154,76,162,89"/>
<area shape="rect" id="edge6-headlabel" href="dir_000011_000000.html" title="6" alt="" coords="197,182,205,195"/>
<area shape="rect" id="edge7-headlabel" href="dir_000013_000009.html" title="31" alt="" coords="110,127,125,140"/>
<area shape="rect" id="edge8-headlabel" href="dir_000013_000011.html" title="2" alt="" coords="156,66,163,79"/>
<area shape="rect" id="edge9-headlabel" href="dir_000013_000000.html" title="9" alt="" coords="163,172,171,186"/>
<area shape="rect" id="clust1" href="dir_aebb8dcc11953d78e620bbef0b9e2183.html" title="core" alt="" coords="16,67,109,160"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:da/d7b/code__utils_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="da/d7b/code__utils_8hpp.html">code_utils.hpp</a> <a href="da/d7b/code__utils_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:da/d7b/code__utils_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes macros for validating runtime conditions. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d7/dd9/crc16_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d7/dd9/crc16_8cpp.html">crc16.cpp</a></td></tr>
<tr class="memdesc:d7/dd9/crc16_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements CRC16 computations. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d4/d31/crc16_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d4/d31/crc16_8hpp.html">crc16.hpp</a> <a href="d4/d31/crc16_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:d4/d31/crc16_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for CRC16 computations. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:da/d7b/debug_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="da/d7b/debug_8hpp.html">debug.hpp</a> <a href="da/d7b/debug_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:da/d7b/debug_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes functions for debugging. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:df/d57/encoding_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="df/d57/encoding_8hpp.html">encoding.hpp</a> <a href="df/d57/encoding_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:df/d57/encoding_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for byte-ordering encoding. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dd/daf/logging_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dd/daf/logging_8cpp.html">logging.cpp</a></td></tr>
<tr class="memdesc:dd/daf/logging_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements the tasklet scheduler. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d0/da9/logging_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d0/da9/logging_8hpp.html">logging.hpp</a> <a href="d0/da9/logging_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:d0/da9/logging_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes functions for debugging. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d8/d6a/message_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d8/d6a/message_8cpp.html">message.cpp</a></td></tr>
<tr class="memdesc:d8/d6a/message_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements the message buffer pool and message buffers. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d5/d8c/message_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d5/d8c/message_8hpp.html">message.hpp</a> <a href="d5/d8c/message_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:d5/d8c/message_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for the message buffer pool and message buffers. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:df/d09/new_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="df/d09/new_8hpp.html">new.hpp</a> <a href="df/d09/new_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:df/d09/new_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file defines the new operator used by OpenThread. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d0/d54/tasklet_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d0/d54/tasklet_8cpp.html">tasklet.cpp</a></td></tr>
<tr class="memdesc:d0/d54/tasklet_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements the tasklet scheduler. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:df/d84/tasklet_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="df/d84/tasklet_8hpp.html">tasklet.hpp</a> <a href="df/d84/tasklet_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:df/d84/tasklet_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for tasklets and the tasklet scheduler. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dc/de5/timer_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dc/de5/timer_8cpp.html">timer.cpp</a></td></tr>
<tr class="memdesc:dc/de5/timer_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements a multiplexed timer service on top of the alarm abstraction. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:df/d05/timer_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="df/d05/timer_8hpp.html">timer.hpp</a> <a href="df/d05/timer_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:df/d05/timer_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for the multiplexed timer service. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:df/d7b/trickle__timer_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="df/d7b/trickle__timer_8cpp.html">trickle_timer.cpp</a></td></tr>
<tr class="memdesc:df/d7b/trickle__timer_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements the trickle timer logic. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d0/d11/trickle__timer_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d0/d11/trickle__timer_8hpp.html">trickle_timer.hpp</a> <a href="d0/d11/trickle__timer_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:d0/d11/trickle__timer_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for the trickle timer logic. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="dir_34b4cee2b5900b653deb3438fc906cf4.html">common</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
